Skip to main content
Retrieve details for a single bank account by ID.

Endpoint

GET https://api-v3.reeple.ai/accounts/{id}
ParameterTypeDescription
idStringRequired. The unique identifier of the account you want to retrieve.

Response

{
  "success": true,
  "statusCode": 200,
  "message": "Fetched bank account",
  "data": {
    "id": "d88343f6-f1c2-4e04-8762-39c7add0c1f8",
    "name": "Acme Inc / test testing",
    "number": "1185510924",
    "bank": "Testing Bank",
    "bankCode": "000017",
    "currency": "NGN",
    "currencyType": "NGN",
    "iban": "NG12345678901234567890",
    "sortCode": "12-34-56",
    "checkNumber": "123456",
    "bankSwiftCode": "TESTNG33XXX",
    "addressableIn": "Nigeria",
    "bankAddress": "123 Testing Bank Street, Lagos, Nigeria",
    "countryCode": "NG",
    "isVirtual": true,
    "createdAt": "2024-05-01T22:37:54.322Z",
    "updatedAt": "2024-05-01T22:37:54.322Z",
    "businessId": "0bb1dfc6-a74c-4e53-b41a-4a0c1eab188e",
    "reference": "shsi29wns02j9whdhnw012bd9dh2w",
    "customerId": "326a18a1-441a-457d-ba28-0538e0717c92"
  }
}
Fields like iban, sortCode, bankSwiftCode, and addressableIn only apply to accounts issued in currencies that use them (e.g. GBP, EUR) — they’re null on NGN accounts.